//====================================================//
// Reallite HLGuard Anti-Cheats Config file           //
// Создал: DJ_WEST                                    //
// Copyright (C) Reallite Labs, 2002-2007             //
// Версия: 1.9                                        //
// Сайт: http://reallite.cs2.ru                       //
//====================================================//

//====================================================//
// Действия при обнаружении скрипта                   //
//====================================================//
// i - сообщение в игре, запись в логи и бан на 7 суток
hlg_action "i:found" "hlg_writefile %L/detectionlist.txt;hlg_write \'%d %h [HLGUARD %g] -> %n<%i> <%y> on %m <7 days ban>\'"
hlg_action "i:found" "hlg_writefile %L/detectionlist.htm;hlg_write \'%d %h [HLGUARD %g] -> <b>%n</b>(<b>%i</b>) <b>%y</b> on <b>%m</b> (7 days ban)<br>\'"
hlg_action "i:found" "hlg_log \'%n<%i> triggered <%y>\'"
hlg_action "i:found" "hlg_say \'[HLGUARD] Violation by %n(%i)\';hlg_say \'[HLGUARD] Violation: %y\';hlg_say \'[HLGUARD] Punishment: 7 days ban\'"
hlg_action "i:found:10" "addip 10080.0 %i;kick #%u [HLGUARD] Banned: 7 days. Reason: %y;wait;writeip"

//====================================================//
// Действия при использовании запрещенного значения   //
//====================================================//
// u - сообщение в игре, удаление игрока с сервера и запись в логи
hlg_action "u:found" "hlg_writefile %L/cvarviolations.txt;hlg_write \'%d %h [HLGUARD %g] -> %n<%w><%i> <%y> on %m\'"
hlg_action "u:found" "hlg_writefile %L/cvarviolations.htm;hlg_write \'%d %h [HLGUARD %g] -> <b>%n</b>(<b>%w</b>)(<b>%i</b>) <b>%y</b> on <b>%m</b><br>\'"
hlg_action "u:found" "hlg_log \'%n<%w><%i> triggered <%y>\'"
hlg_action "u:found" "hlg_say \'[HLGUARD] Violation by %n(%w)\';hlg_say \'[HLGUARD] Violation: %y\';hlg_say \'[HLGUARD] Punishment: Kick\'"
hlg_action "u:found:5" "kick #%u [HLGUARD] You have been kicked. Reason: %y"

//====================================================//
// Действия при обнаружении запрещенной программы     //
//====================================================//
// o - сообщение в игре, запись в логи и пернаментный бан
hlg_action "o:found" "hlg_writefile %L/detectionlist.txt;hlg_write \'%d %h [HLGUARD %g] -> %n<%i> <%y> on %m <permanent ban>\'"
hlg_action "o:found" "hlg_writefile %L/detectionlist.htm;hlg_write \'%d %h [HLGUARD %g] -> <b>%n</b>(<b>%i</b>) <b>%y</b> on <b>%m</b> (permanent ban)<br>\'"
hlg_action "o:found" "hlg_log \'%n<%i> triggered <%y>\'"
hlg_action "o:found" "hlg_say \'[HLGUARD] Violation by %n(%i)\';hlg_say \'[HLGUARD] Violation: %y\';hlg_say \'[HLGUARD] Punishment: Permanent ban\'"
hlg_action "o:found:10" "addip 0.0 %i;kick #%u [HLGUARD] Banned: Permanently. Reason: %y;wait;writeip" 

// Снятие скриншота на клиенте, если был обнаружен один из читов.
// Измените ниже your_mail@your_mail.ru на e-mail, куда должны присылать скриншоты.
// Чтобы отключить снятие скриншота, просто закомментируйте знаком // две строчки ниже.
hlg_action "o:found" "hlg_say %n, send to admin screenshot: your_mail@your_mail.ru"
hlg_action "o:found:3" "hlg_clexec #%u snapshot"